window.Gleam.initSearch([{"doc":"fireball","title":"fireball","content":"# fireball\n\n[![Package Version](https://img.shields.io/hexpm/v/fireball)](https://hex.pm/packages/fireball)\n[![Hex Docs](https://img.shields.io/badge/hex-docs-ffaff3)](https://hexdocs.pm/fireball/)\n\n```sh\ngleam add fireball@1\n```\n```gleam\nimport gleam/io\n\nimport fireball\n\npub fn main() {\n  //Get a document from your database\n  let assert Ok(my_doc) = firebase.get_doc(apikey: &quot;my_key&quot;, apiver: &quot;v1beta1&quot;, database: &quot;(default)&quot;, doc: &quot;path/to/my_doc/without/leading/slash&quot;, proj_id: &quot;my_project_id&quot;)\n\n  //Print some data from it!\n  io.println(my_doc.data)\n}\n```\n\nFurther documentation can be found at &lt;https://hexdocs.pm/fireball&gt;.\n\n## Development\n\n```sh\ngleam run   # Run the project\ngleam test  # Run the tests\n```\n","url":"index.html"},{"doc":"fireball/error","title":"FireballError","content":"pub type FireballError {\n  FireballError(err: String)\n}\n\nFireballError(err: String)\n\n\nSynonyms:\nfireball/error.FireballError\nfireball/error FireballError","url":"fireball/error.html#FireballError"},{"doc":"fireball/error","title":"fireball/error","content":"","url":"fireball/error.html"},{"doc":"fireball/objects/document","title":"FireballDocument","content":"pub type FireballDocument {\n  FireballDocument(data: String, creation_time: String)\n}\n\nFireballDocument(data: String, creation_time: String)\n\n\nSynonyms:\nfireball/objects/document.FireballDocument\nfireball/objects/document FireballDocument","url":"fireball/objects/document.html#FireballDocument"},{"doc":"fireball/objects/document","title":"doc_to_list","content":"pub fn doc_to_list(doc doc: FireballDocument) -&gt; List(String)\n\nSynonyms:\nfireball/objects/document.doc_to_list\nfireball/objects/document doc_to_list","url":"fireball/objects/document.html#doc_to_list"},{"doc":"fireball/objects/document","title":"doc_to_string","content":"pub fn doc_to_string(doc doc: FireballDocument) -&gt; String\n\nSynonyms:\nfireball/objects/document.doc_to_string\nfireball/objects/document doc_to_string","url":"fireball/objects/document.html#doc_to_string"},{"doc":"fireball/objects/document","title":"doc_to_tuple","content":"pub fn doc_to_tuple(\n  doc doc: FireballDocument,\n) -&gt; #(String, String)\n\nSynonyms:\nfireball/objects/document.doc_to_tuple\nfireball/objects/document doc_to_tuple","url":"fireball/objects/document.html#doc_to_tuple"},{"doc":"fireball/objects/document","title":"fireball/objects/document","content":"","url":"fireball/objects/document.html"},{"doc":"fireball/objects/storage","title":"FireballStorage","content":"pub type FireballStorage {\n  FireballStorage(path: String)\n}\n\nFireballStorage(path: String)\n\n\nSynonyms:\nfireball/objects/storage.FireballStorage\nfireball/objects/storage FireballStorage","url":"fireball/objects/storage.html#FireballStorage"},{"doc":"fireball/objects/storage","title":"fireball/objects/storage","content":"","url":"fireball/objects/storage.html"},{"doc":"fireball/fireball","title":"get_doc","content":"pub fn get_doc(\n  apikey apikey: String,\n  apiver apiver: String,\n  database database: String,\n  doc doc: String,\n  proj_id proj_id: String,\n) -&gt; Result(FireballDocument, FireballError)\n\nSynonyms:\nfireball/fireball.get_doc\nfireball/fireball get_doc","url":"fireball/fireball.html#get_doc"},{"doc":"fireball/fireball","title":"get_file","content":"pub fn get_file(\n  apiver apiver: String,\n  obj_path obj_path: String,\n  proj_id proj_id: String,\n  token token: String,\n) -&gt; Result(FireballStorage, FireballError)\n\nSynonyms:\nfireball/fireball.get_file\nfireball/fireball get_file","url":"fireball/fireball.html#get_file"},{"doc":"fireball/fireball","title":"post_file","content":"pub fn post_file(\n  apiver apiver: String,\n  apikey apikey: String,\n  infile infile: String,\n  outfile outfile: String,\n  proj_id proj_id: String,\n) -&gt; Result(String, FireballError)\n\nSynonyms:\nfireball/fireball.post_file\nfireball/fireball post_file","url":"fireball/fireball.html#post_file"},{"doc":"fireball/fireball","title":"post_file_erl","content":"pub fn post_file_erl(\n  url url: String,\n  infile infile: String,\n) -&gt; Nil\n\nSynonyms:\nfireball/fireball.post_file_erl\nfireball/fireball post_file_erl","url":"fireball/fireball.html#post_file_erl"},{"doc":"fireball/fireball","title":"post_file_external","content":"pub fn post_file_external(\n  apiver apiver: String,\n  apikey apikey: String,\n  infile infile: String,\n  outfile outfile: String,\n  proj_id proj_id: String,\n  external_script external_script: String,\n  wd wd: String,\n) -&gt; Result(String, FireballError)\n\nSynonyms:\nfireball/fireball.post_file_external\nfireball/fireball post_file_external","url":"fireball/fireball.html#post_file_external"},{"doc":"fireball/fireball","title":"fireball/fireball","content":"","url":"fireball/fireball.html"},{"doc":"fireball/objects/collection","title":"Collection","content":"pub type Collection {\n  Collection(location: String, err: String)\n}\n\nCollection(location: String, err: String)\n\n\nSynonyms:\nfireball/objects/collection.Collection\nfireball/objects/collection Collection","url":"fireball/objects/collection.html#Collection"},{"doc":"fireball/objects/collection","title":"fireball/objects/collection","content":"","url":"fireball/objects/collection.html"}]);